{*
$Id: check_options.tpl,v 1.74.2.2 2009/03/27 12:37:55 avg Exp $
vim: set ts=2 sw=2 sts=2 et:
*}
<script type="text/javascript">
<!--

/*
variants array:
	0 - array:
		0 - taxed price
		1 - quantity
		2 - variantid if variant have thumbnail
		3 - weight
		4 - original price (without taxes)
		5 - productcode
	1 - array: variant options as classid => optionid
	2 - array: taxes as taxid => tax amount
	3 - wholesale prices array:
		0 - quantity
		1 - next quantity
		2 - taxed price
		3 - taxes array: as taxid => tax amount
		4 - original price (without taxes)
*/
var variants = [];
{if $variants ne ''}
{foreach from=$variants item=v key=k}
{if $active_modules.Multi_Currency}
	{assign var="taxed_price" value=$v.taxed_price|default:$v.price|default:$product.taxed_price|default:$product.price}
	{assign var="original_price" value=$v.price|default:$product.price|default:0}
	{if is_numeric($shop_currency.rate) && !empty($shop_currency.rate) && $shop_currency.rate ne 0}
		{math equation="taxed_price/rate" taxed_price=$taxed_price rate=$shop_currency.rate assign=taxed_price}
		{math equation="original_price/rate" original_price=$original_price rate=$shop_currency.rate assign=original_price}
	{/if}
	variants[{$k}] = [{strip}
		[
		{$taxed_price|default:0},
		{$v.avail|default:0},
		new Image(),
		'{$v.weight|default:0}',
		{$original_price|default:'0'},
		'{$v.productcode|wm_remove|escape:javascript}',
		{$v.W_is_png|default:0}
	  ],
		{ldelim}{rdelim},
		{ldelim}{rdelim},
		[]
	{/strip}];
{else}
	variants[{$k}] = [{strip}
		[
		{$v.taxed_price|default:$v.price|default:$product.taxed_price|default:$product.price},
		{$v.avail|default:0},
		new Image(),
		'{$v.weight|default:0}',
		{$v.price|default:$product.price|default:'0'},
		'{$v.productcode|wm_remove|escape:javascript}',
		{$v.W_is_png|default:0}
	  ],
		{ldelim}{rdelim},
		{ldelim}{rdelim},
		[]
	{/strip}];
{/if}

{foreach from=$v.wholesale item=w key=p}
variants[{$k}][3][variants[{$k}][3].length] = [{strip}
	{$w.quantity|default:0},
	{if $w.next_quantity}{math equation="x-1" x=$w.next_quantity}{else}0{/if},
	{$w.taxed_price|default:$product.taxed_price},
	{ldelim}{rdelim},
	{$w.price|default:$product.price}
{/strip}];
{foreach from=$w.taxes item=t key=kt}
variants[{$k}][3][variants[{$k}][3].length-1][3][{$kt}] = {$t|default:0};
{/foreach}
{/foreach}
{foreach from=$v.options item=o}
{if $o ne ''}
variants[{$k}][1][{$o.classid|default:0}] = {$o.optionid|default:0};
{/if}
{/foreach}
{foreach from=$v.taxes item=t key=id}
variants[{$k}][2][{$id}] = {$t|default:0};
{/foreach}
{if $v.is_image}
variants[{$k}][0][2].src = "{if $v.image_url ne ''}{$v.image_url}{else}{if $full_url}{$http_location}{else}{$xcart_web_dir}{/if}/image.php?id={$k}&type=W{/if}"; 
variants[{$k}][0][2]._x = {$v.variant_image_x|default:0};
variants[{$k}][0][2]._y = {$v.variant_image_y|default:0};
{/if}
{/foreach}
{/if}

/*
modifiers array: as clasid => array: as optionid => array:
	0 - price_modifier
	1 - modifier_type
	2 - taxes array: as taxid => tax amount
*/
var modifiers = [];
/* names array: as classid => class name */
var names = [];
{foreach from=$product_options item=v key=k}
names[{$v.classid}] = {ldelim}class_name: "{$v.class_orig|default:$v.class|wm_remove|escape:javascript}", options: []{rdelim};
{foreach from=$v.options item=o name=opts}
names[{$v.classid}]['options'][{$o.optionid}] = "{$o.option_name_orig|default:$o.option_name|wm_remove|escape:javascript}";
{/foreach}
{if $v.is_modifier eq 'Y'}
modifiers[{$v.classid}] = {ldelim}{rdelim};
{foreach from=$v.options item=o name=opts}
{if $active_modules.Multi_Currency}
	{assign var="price_modifier" value=$o.price_modifier|default:"0.00"}
	{if is_numeric($shop_currency.rate) && !empty($shop_currency.rate) && $shop_currency.rate ne 0}
		{math equation="price_modifier/rate" price_modifier=$price_modifier rate=$shop_currency.rate assign=price_modifier}
		{assign var="price_modifier" value=$price_modifier|abs_value|formatprice}
	{/if}
	modifiers[{$v.classid}][{$o.optionid}] = [{strip}
		{$price_modifier|default:"0.00"}, 
		'{$o.modifier_type|default:"$"}',
		{ldelim}{rdelim}
	{/strip}];
{else}
	modifiers[{$v.classid}][{$o.optionid}] = [{strip}
		{$o.price_modifier|default:"0.00"}, 
		'{$o.modifier_type|default:"$"}',
		{ldelim}{rdelim}
	{/strip}];
{/if}
{foreach from=$o.taxes item=t key=id name=optt}
modifiers[{$v.classid}][{$o.optionid}][2][{$id}] = {$t|default:0};
{/foreach}
{/foreach}
{/if}
{/foreach}

/*
taxes array: as taxid => array()
	0 - calculated tax value for default product price
	1 - tax name
	2 - tax type ($ or %)
	3 - tax value
*/
var taxes = [];
{if $product.taxes}
{foreach from=$product.taxes key=tax_name item=tax}
{if $tax.display_including_tax eq "Y" && ($tax.display_info eq 'A' || $tax.display_info eq 'V')}
taxes[{$tax.taxid}] = [{$tax.tax_value|default:0}, "{$tax.tax_display_name}", "{$tax.rate_type}", "{$tax.rate_value}"];
{/if}
{/foreach}
{/if}

/* exceptions array: as exctionid => array: as clasid => optionid */
var exceptions = [];
{if $product_options_ex ne ''}
{foreach from=$product_options_ex item=v key=k}
exceptions[{$k}] = [];
{foreach from=$v item=o}
exceptions[{$k}][{$o.classid}] = {$o.optionid};
{/foreach} 
{/foreach} 
{/if}

/*
_product_wholesale array: as id => array:
	0 - quantity
	1 - next quantity
	2 - taxed price
	3 - taxes array: as taxid => tax amount
	4 - original price (without taxes)
*/
var product_wholesale = [];
var _product_wholesale = [];
{if $product_wholesale ne ''}
{foreach from=$product_wholesale item=v key=k}
_product_wholesale[{$k}] = [{$v.quantity|default:0},{$v.next_quantity|default:0},{$v.taxed_price|default:$product.taxed_price}, [], {$v.price|default:$product.price}];
{if $v.taxes ne ''}
{foreach from=$v.taxes item=t key=kt}
_product_wholesale[{$k}][3][{$kt}] = {$t|default:0};
{/foreach}
{/if}
{/foreach}
{/if}

var product_image = new Image();
product_image.src = "{if $product.P.url && (not $product.P.is_default || $product.T.is_default)}{$product.P.image_url}{else}{if $full_url}{$http_location}{else}{$xcart_web_dir}{/if}/image.php?id={$product.productid}&type=P{/if}";
var exception_msg = "{$lng.txt_exception_warning|strip_tags|wm_remove|escape:javascript}";
var exception_msg_html = "{$lng.txt_exception_warning|wm_remove|escape:javascript}";
var txt_out_of_stock = "{$lng.txt_out_of_stock|strip_tags|wm_remove|escape:javascript}";
var pconf_price = {$taxed_total_cost|default:0};
{if $active_modules.Multi_Currency}
	{assign var="taxed_price" value=$product.taxed_price|default:0}
	{assign var="original_price" value=$product.price|default:$product.taxed_price|default:0}
	{assign var="list_price" value=$product.list_price|default:0}
	{if is_numeric($shop_currency.rate) && !empty($shop_currency.rate) && $shop_currency.rate ne 0}
		{math equation="taxed_price/rate" taxed_price=$taxed_price rate=$shop_currency.rate assign=taxed_price}
		{math equation="original_price/rate" original_price=$original_price rate=$shop_currency.rate assign=original_price}
		{math equation="list_price/rate" list_price=$list_price rate=$shop_currency.rate assign=list_price}
	{/if}
	var default_price = {$taxed_price};
	var currency_symbol = "{$shop_currency.symbol|escape:"javascript"}";
	var list_price = {$list_price};
	var price = {$taxed_price};
	var orig_price = {$original_price};
{else}
	var default_price = {$product.taxed_price|default:"0"};
	var currency_symbol = "{$config.General.currency_symbol|escape:"javascript"}";
	var list_price = {$product.list_price|default:0};
	var price = {$product.taxed_price|default:"0"};
	var orig_price = {$product.price|default:$product.taxed_price|default:"0"};
{/if}
var alter_currency_symbol = "{$config.General.alter_currency_symbol|escape:"javascript"}";
var alter_currency_rate = {$config.General.alter_currency_rate|default:"0"};
var lbl_no_items_available = "{$lng.lbl_no_items_available|wm_remove|escape:javascript}";
var txt_items_available = "{$lng.txt_items_available|wm_remove|escape:javascript}";
var mq = {$config.Appearance.max_select_quantity|default:0};
var dynamic_save_money_enabled = {if $config.Product_Options.dynamic_save_money_enabled eq 'Y'}true{else}false{/if};
var is_unlimit = {if $config.General.unlimited_products eq 'Y'}true{else}false{/if};
var max_image_width = {$max_image_width};
var max_image_height ={$max_image_height};

var lbl_item = "{$lng.lbl_item|wm_remove|escape:javascript}";
var lbl_items = "{$lng.lbl_items|wm_remove|escape:javascript}";
var lbl_quantity = "{$lng.lbl_quantity|wm_remove|escape:javascript}";
var lbl_price = "{$lng.lbl_price_per_item|wm_remove|escape:javascript}";
var txt_note = "{$lng.txt_note|wm_remove|escape:javascript}";
var lbl_including_tax = "{$lng.lbl_including_tax|wm_remove|escape:javascript}";
var lbl_product_minquantity_error = "{$lng.lbl_product_minquantity_error|wm_remove|escape:javascript}";
var lbl_product_maxquantity_error = "{$lng.lbl_product_maxquantity_error|wm_remove|escape:javascript}";
var lbl_product_quantity_type_error = "{$lng.lbl_product_quantity_type_error|wm_remove|escape:javascript}";

-->
</script>

<script type="text/javascript" src="{$SkinDir}/modules/Product_Options/func.js"></script>
